variables:
  GIT_SUBMODULE_STRATEGY: recursive
  
stages:
    - test
    - build
    - deploy
    - cleanup

www tests:
# All available Hugo versions are listed here: https://gitlab.com/pages/hugo/container_registry
  image: registry.gitlab.com/pages/hugo:latest
  stage: test
  script:
  - hugo -s www
  except:
  - master

pages:
# All available Hugo versions are listed here: https://gitlab.com/pages/hugo/container_registry
  image: registry.gitlab.com/pages/hugo:latest
  
  stage: deploy
  script:
    - hugo -s www -v
    - mkdir .public
    - cp -r www/public/* .public
    - mv .public public
  artifacts:
    paths:
      - public
  only:
    - master


variables:
  GIT_SUBMODULE_STRATEGY: normal
  GIT_STRATEGY: clone


    
LV tests:
    stage: test
    
    tags:
        - LV2014
    
    script:
    
    #
    # Masscompile sources
    #
        - echo 'LabVIEWCLI -OperationName MassCompile -DirectoryToCompile "'$CI_PROJECT_DIR'" -MassCompileLogFile "C:\temp\log.txt" -AppendToMassCompileLog true -NumOfVIsToCache 20 -ReloadLVSBs false'
        - LabVIEWCLI -OperationName MassCompile -DirectoryToCompile "$CI_PROJECT_DIR" -MassCompileLogFile "C:\temp\log.txt" -AppendToMassCompileLog true -NumOfVIsToCache 20 -ReloadLVSBs false
    
    #
    # Run unit tests
    #
        - echo 'LabVIEWCLI -OperationName RunJkiViTester "'$CI_PROJECT_DIR'"\Sources\Tests\Suites\TS_AllTests\TS_AllTests.lvclass" "$CI_PROJECT_DIR\Sources\test-result.xml"'
        - LabVIEWCLI -OperationName RunJkiViTester "$CI_PROJECT_DIR\Sources\Tests\Suites\TS_AllTests\TS_AllTests.lvclass" "$CI_PROJECT_DIR\Sources\test-result.xml"

    artifacts:
        when: always
        paths:
            - .\Sources\test-result.xml
        reports:
            junit:
                - .\Sources\test-result.xml


#clean:
#    stage: cleanup
#    
#    tags:
#        - LV2019
#    
#    script:
#        - LabVIEWCLI -OperationName CloseLabVIEW
#        
#    when: always

